Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.traceWriter
Class InvalidExecutionTraceWriterFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
                      kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
                          kieker.tools.traceAnalysis.filter.AbstractInvalidExecutionTraceProcessingFilter
                              kieker.tools.traceAnalysis.filter.traceWriter.InvalidExecutionTraceWriterFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public class InvalidExecutionTraceWriterFilter

extends AbstractInvalidExecutionTraceProcessingFilter

Since:
  1.2
Author:
  Andre van Hoorn

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_OUTPUT_FN` The name of the configuration determining the output file name.
`static String` | `INPUT_PORT_NAME_INVALID_EXECUTION_TRACES` This is the name of the input port receiving new (invalid) execution traces.

Fields inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`CONFIG_PROPERTY_VALUE_VERBOSE, REPOSITORY_PORT_NAME_SYSTEM_MODEL`

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`InvalidExecutionTraceWriterFilter(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`String` | `getInvalidExecutionTraceInputPortName()` Implementing classes should return the name of the input port for the invalid executions.
`void` | `newInvalidExecutionTrace(InvalidExecutionTrace et)` This method represents the input port of this filter.
`void` | `printStatusMessage()` Returns a user-addressed status message to be logged by the calling tool.
`void` | `terminate(boolean error)` Initiates a termination of the plugin.

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
`getErrorCount, getLastTraceIdError, getLastTraceIdSuccess, getSuccessCount, getTotalCount`

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`createExecutionByEntityNames, createExecutionByEntityNames, getSystemEntityFactory`

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### INPUT_PORT_NAME_INVALID_EXECUTION_TRACES

    public static final String INPUT_PORT_NAME_INVALID_EXECUTION_TRACES

  This is the name of the input port receiving new (invalid) execution traces.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_OUTPUT_FN

    public static final String CONFIG_PROPERTY_NAME_OUTPUT_FN

  The name of the configuration determining the output file name.

  See Also:
    Constant Field Values

Constructor Detail

### InvalidExecutionTraceWriterFilter

    public InvalidExecutionTraceWriterFilter(Configuration configuration,
                                             IProjectContext projectContext)
                                      throws IOException

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this component.
    `projectContext` - The project context for this component.
  Throws:
    `IOException` - If the write stream could not be prepared.

Method Detail

### printStatusMessage

    public void printStatusMessage()

  Description copied from class: `AbstractTraceProcessingFilter`
  Returns a user-addressed status message to be logged by the calling tool. Extending classes may override this method but should call the then-inherited method first.

  Overrides:
    `printStatusMessage` in class `AbstractTraceProcessingFilter`

### terminate

    public void terminate(boolean error)

  Initiates a termination of the plugin. This method is only used by the framework and should not be called manually. Use the method `AnalysisController.terminate(boolean)` instead. After receiving this notification, the plugin should terminate any running methods, e.g., read for readers.

  Specified by:
    `terminate` in interface `IPlugin`
  Overrides:
    `terminate` in class `AbstractFilterPlugin`
  Parameters:
    `error` - Determines whether the plugin is terminated due to an error or not.

### getInvalidExecutionTraceInputPortName

    public String getInvalidExecutionTraceInputPortName()

  Description copied from class: `AbstractInvalidExecutionTraceProcessingFilter`
  Implementing classes should return the name of the input port for the invalid executions.

  Specified by:
    `getInvalidExecutionTraceInputPortName` in class `AbstractInvalidExecutionTraceProcessingFilter`
  Returns:
    The name of the input port.

### newInvalidExecutionTrace

    public void newInvalidExecutionTrace(InvalidExecutionTrace et)

  This method represents the input port of this filter.

  Parameters:
    `et` - The next execution trace.

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Overrides:
    `getCurrentConfiguration` in class `AbstractTraceAnalysisFilter`
  Returns:
    A completely filled configuration object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net